### Method

# Fwupd BiosSetting map_possible_value

since: 1.8.4

#### Declaration [src]

    const gchar*
    fwupd_bios_setting_map_possible_value (
      FwupdBiosSetting* self,
      const gchar* key,
      GError** error
    )

#### Description [src]

Attempts to map a user provided string into strings that a `FwupdBiosSetting` can support. The following heuristics are used: - Ignore case sensitivity - Map obviously “positive” phrases into a value that turns on the `FwupdBiosSetting` - Map obviously “negative” phrases into a value that turns off the `FwupdBiosSetting`.

Available since: 1.8.4

#### Parameters

`key`

  Type: `const gchar*`

  The string to try to map.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `const gchar*`

The possible value that maps or NULL if none if found.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.